Generation Framework

## org.eclipse.gmf.mappings
Interface FeatureSeqInitializer

All Superinterfaces:
  ElementInitializer, EObject, Notifier

All Known Implementing Classes:
  FeatureSeqInitializerImpl

public interface FeatureSeqInitializer
extends ElementInitializer

A representation of the model object 'Feature Seq Initializer'. Feature sequence initializer

The following features are supported:

- `Initializers`

See Also:
  `GMFMapPackage.getFeatureSeqInitializer()`
** Generated **
Model:

Method Summary
`EList` `getInitializers()` Returns the value of the 'Initializers' containment reference list.

Methods inherited from interface org.eclipse.gmf.mappings.ElementInitializer
`getMappingEntry, setMappingEntry`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInitializers

    public EList getInitializers()

  Returns the value of the 'Initializers' containment reference list. The list contents are of type `FeatureValueSpec`. It is bidirectional and its opposite is '`Feature Seq Initializer`'.

  If the meaning of the 'Initializers' containment reference list isn't clear, there really should be more of a description here...

  Value specifications as initializers for individual features which should be initialized in the order given by this list

  Returns:
    the value of the 'Initializers' containment reference list.
  See Also:
    `GMFMapPackage.getFeatureSeqInitializer_Initializers()`, `FeatureValueSpec.getFeatureSeqInitializer()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.mappings.FeatureValueSpec" opposite="featureSeqInitializer" containment="true" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.